紅聯Linux門戶
Linux幫助

Apache Groovy 2.4.15發布,改進JDK9/10支持

發布時間:2018-03-29 08:06:17來源:紅聯作者:baihuo
Apache Groovy 2.4.15 已發布,這是 GROOVY_2_4_X 分支的維護版本,改進對 JDK9 / 10 的支持,強烈鼓勵所有使用此分支舊版本的用戶進行升級。

更新內容:

Bug

Sql.newInstance 中的屬性復制不正確

@CompileStatic 無法編譯泛型類的靜態方法

CLONE - 無法使用 “new” 關鍵字實例化對象

CLONE - jar 工件中的 module-info.class 無效

CLONE - 從 JDK 9 中的 groovy 類調用 Stream.of 失敗

NullPointerException in class MissingMethodException

Improvement

從鏡像系統中刪除舊版本

Task

重制下載頁面

軟件詳情:https://git.oschina.net/mirrors/groovy

下載地址:http://www.groovy-lang.org/download.html

來自:開源中國社區
文章評論

共有 0 條評論

601268股票行情中心